<div class="container">
    <div class="greetings-container">
      <h2 class="headline-1">
        Let's create 
      </h2>
      <h2 class="headline-2">
        Your own 
      </h2>
      <h2 class="headline-3">
        Dashboard!
      </h2>
    </div>
    <div class="input-container">

    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <input type="text" formControlName="username" placeholder="username" [(ngModel)]="query"
        required>

    <div *ngIf="username?.invalid && (username?.dirty || username?.touched)">
            <div *ngIf="username?.errors?.['required']" class="invalid-feedback">
                Username is required.
              </div>
              <div *ngIf="username?.errors?.['minlength']" class="invalid-feedback">
                Username must be at least 4 characters long.
              </div>
              <div *ngIf="username?.errors?.['pattern']" class="invalid-feedback">
                Username should contain only lowercase letters.
              </div>
    </div>
        <input type="text" formControlName="password" placeholder="password" [(ngModel)]="queryPas"
        required>
       <div *ngIf="password?.invalid && (password?.dirty || password?.touched)">
        <div *ngIf="password?.errors?.['required']" class="invalid-feedback">
            Name is required.
          </div>
          <div *ngIf="password?.errors?.['minlength']" class="invalid-feedback">
            Name must be at least 8 characters long.
          </div>
          <div *ngIf="password?.errors?.['pattern']" class="invalid-feedback">
            Password must contain lowercase and uppercase Latin letters, numbers, special characters
          </div>
      </div>
        <button type="submit">
            Registration
        </button>
    </form>
    <p *ngIf="statusGood">Profile created successfully</p>
    <p *ngIf="bedStatus" class="invalid-feedback">Please fill in the registration fields</p>
    </div>
    </div>

